Loading...
Searching...
No Matches
itk::GPUTranslationTransformBase< TScalarType, NDimensions > Class Template Referenceabstract

`#include <itkGPUTranslationTransformBase.h>`

## Detailed Description

template<typename TScalarType = float, unsigned int NDimensions = 3>
class itk::GPUTranslationTransformBase< TScalarType, NDimensions >

Base class for all GPU translation transforms.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 41 of file itkGPUTranslationTransformBase.h.

Inheritance diagram for itk::GPUTranslationTransformBase< TScalarType, NDimensions >:
[legend]

## Public Types

using | CPUOutputVectorType = Vector<TScalarType, NDimensions>
using | GPUSuperclass = GPUTransformBase
using | ScalarType = TScalarType
using | Self = GPUTranslationTransformBase
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
virtual const CPUOutputVectorType & | GetCPUOffset () const =0
bool | IsTranslationTransform () const override
| itkStaticConstMacro (ParametersDimension, unsigned int, NDimensions)
| itkStaticConstMacro (SpaceDimension, unsigned int, NDimensions)
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const
virtual bool | IsBSplineTransform () const
virtual bool | IsIdentityTransform () const
virtual bool | IsMatrixOffsetTransform () const

## Protected Member Functions

GPUDataManager::Pointer | GetParametersDataManager () const override
bool | GetSourceCode (std::string &source) const override
| GPUTranslationTransformBase ()
| ~GPUTranslationTransformBase () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUTranslationTransformBase (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Private Attributes

std::vector< std::string > | m_Sources {}

## Additional Inherited Members

Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## CPUOutputVectorType

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUTranslationTransformBase< TScalarType, NDimensions >::CPUOutputVectorType = Vector<TScalarType, NDimensions>

Standard vector type for this class.

Definition at line 66 of file itkGPUTranslationTransformBase.h.

## GPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUTranslationTransformBase< TScalarType, NDimensions >::GPUSuperclass = GPUTransformBase

Definition at line 46 of file itkGPUTranslationTransformBase.h.

## ScalarType

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUTranslationTransformBase< TScalarType, NDimensions >::ScalarType = TScalarType

Type of the scalar representing coordinate and vector elements.

Definition at line 59 of file itkGPUTranslationTransformBase.h.

## Self

template<typename TScalarType = float, unsigned int NDimensions = 3>

using itk::GPUTranslationTransformBase< TScalarType, NDimensions >::Self = GPUTranslationTransformBase

Standard typedefs

Definition at line 45 of file itkGPUTranslationTransformBase.h.

## Constructor & Destructor Documentation

## GPUTranslationTransformBase() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUTranslationTransformBase< TScalarType, NDimensions >::GPUTranslationTransformBase | ( |  | ) |

protected

## ~GPUTranslationTransformBase()

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUTranslationTransformBase< TScalarType, NDimensions >::~GPUTranslationTransformBase | ( |  | ) |

override protected default

## GPUTranslationTransformBase() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUTranslationTransformBase< TScalarType, NDimensions >::GPUTranslationTransformBase | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetClassName()

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual const char * itk::GPUTranslationTransformBase< TScalarType, NDimensions >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >, and itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >.

## GetCPUOffset()

template<typename TScalarType = float, unsigned int NDimensions = 3>

virtual const CPUOutputVectorType & itk::GPUTranslationTransformBase< TScalarType, NDimensions >::GetCPUOffset | ( |  | ) | const

pure virtual

This method returns the CPU value of the offset of the TranslationTransform.

Implemented in itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >, and itk::GPUTranslationTransform< TScalarType, NDimensions, TParentTransform >.

## GetParametersDataManager()

template<typename TScalarType = float, unsigned int NDimensions = 3>

GPUDataManager::Pointer itk::GPUTranslationTransformBase< TScalarType, NDimensions >::GetParametersDataManager | ( |  | ) | const

override protected virtual

Returns data manager that stores all settings for the transform.

Reimplemented from itk::GPUTransformBase.

## GetSourceCode()

template<typename TScalarType = float, unsigned int NDimensions = 3>

bool itk::GPUTranslationTransformBase< TScalarType, NDimensions >::GetSourceCode | ( | std::string & | source | ) | const

override protected virtual

Returns OpenCL source code for the transform. Returns true if source code was combined, false otherwise.

Reimplemented from itk::GPUTransformBase.

## IsTranslationTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3>

bool itk::GPUTranslationTransformBase< TScalarType, NDimensions >::IsTranslationTransform | ( |  | ) | const

inline override virtual

Returns true, the transform is translation transform.

Reimplemented from itk::GPUTransformBase.

Definition at line 53 of file itkGPUTranslationTransformBase.h.

## itkStaticConstMacro() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUTranslationTransformBase< TScalarType, NDimensions >::itkStaticConstMacro | ( | ParametersDimension | ,
|  | unsigned int | ,
|  | NDimensions | )

## itkStaticConstMacro() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3>

itk::GPUTranslationTransformBase< TScalarType, NDimensions >::itkStaticConstMacro | ( | SpaceDimension | ,
|  | unsigned int | ,
|  | NDimensions | )

Dimension of the domain space.

## operator=()

template<typename TScalarType = float, unsigned int NDimensions = 3>

const Self & itk::GPUTranslationTransformBase< TScalarType, NDimensions >::operator= | ( | const Self & |  | ) |

private delete

## Field Documentation

## m_Sources

template<typename TScalarType = float, unsigned int NDimensions = 3>

std::vector<std::string> itk::GPUTranslationTransformBase< TScalarType, NDimensions >::m_Sources {}

private

Definition at line 90 of file itkGPUTranslationTransformBase.h.

Generated on 1768596610 for elastix by 1.15.0 |